package com.steering.pss.judge.model;

/**
 * 数据库表HTT_CRACK_DETECTION_PARA所对应的实体类（生成工具：代码生成器3.0）
 * @author DESKTOP-1M51SAA   date 2019-04-06
 */
@SuppressWarnings("serial")
public class HttCrackDetectionParaEntity implements java.io.Serializable {
    /**
     * 炉计划ID
     */
    private String heatPlanNo = "";
    /**
     * 判定炉号
     */
    private String judgeStoveNo = "";
    /**
     * 批号
     */
    private String batchNo = "";
    /**
     * 报表编号
     */
    private String reportNo = "";
    /**
     * 纵向外壁
     */
    private String longitudinalExternal = "";
    /**
     * 纵向内壁
     */
    private String longitudinalInternal = "";
    /**
     * 横向外壁
     */
    private String transverseExternal = "";
    /**
     * 横向内壁
     */
    private String transverseInternal = "";
    /**
     * 壁厚
     */
    private String wallThickness = "";
    /**
     * 夹层
     */
    private String lamination = "";
    /**
     * 探头ID
     */
    private String probeId = "";
    /**
     * 探伤标准ID
     */
    private String standardId = "";
    /**
     * 探伤技术
     */
    private String testingTechnology = "";
    /**
     * 人工槽伤形状
     */
    private String artificialNotchShape = "";
    /**
     * 探伤方法
     */
    private String testingMethod = "";
    /**
     * 耦合介质
     */
    private String couplant = "";
    /**
     * 探头旋转速度(rpm)
     */
    private String probeRotarySpeed = "";
    /**
     * 探伤速度
     */
    private String testingSpeed = "";
    /**
     * 未检测区(mm)
     */
    private String untestedArea = "";
    /**
     * 探伤程序文件编号
     */
    private String ndtProcedureNo = "";
    /**
     * 螺距
     */
    private String pitch = "";
    /**
     * 旋转体转速
     */
    private String rotationSpeed = "";
    /**
     * 钢管运行速度
     */
    private String pipeRunningSpeed = "";
    /**
     * 钢管输送速度
     */
    private String conveyingSpeed = "";
    /**
     * 设备型号
     */
    private String instrumentType = "";
    /**
     * 探头型号
     */
    private String transducerType = "";
    /**
     * 抑制
     */
    private String suppression = "";
    /**
     * 检测长度
     */
    private String testingLength = "";
    /**
     * 操作者
     */
    private String operatorName = "";
    /**
     * 操作者技术资格等级
     */
    private String operatorLevel = "";
    /**
     * 签 发
     */
    private String signatory = "";
    /**
     * 签发者技术资格等级
     */
    private String signatoryLevel = "";
    /**
     * 班次
     */
    private String shift = "";
    /**
     * 探伤日期
     */
    private String proDate = "";
    /**
     * 记录生成日期
     */
    private String createDate = "";
    /**
     * 报告地址
     */
    private String reportPath = "";
    /**
     * 备注
     */
    private String memo = "";
    /**
     * 实绩编号
     */
    private String resultNo = "";
    /**
     * 探头运行速度
     */
    private String probeRunningSpeed = "";
    /**
     * 斜向外壁
     */
    private String obliqueExternal = "";
    /**
     * 斜向内壁
     */
    private String obliqueInternal = "";
    /**
     * 钢管旋转速度(rpm)
     */
    private String pipeRotarySpeed = "";
    /**
     * 操作班组
     */
    private String colGroup = "";
    /**
     * 校准方法
     */
    private String calibrationMethod = "";
    /**
     * 验收等级
     */
    private String accpetanceLevel = "";
    /**
     * 钻孔直径
     */
    private String holeDiameter = "";
    /**
     * 激励频率(NC89)
     */
    private String excitationFrequencyNc89 = "";
    /**
     * 激励频率(NC180)
     */
    private String excitationFrequencyNc180 = "";
    /**
     * 探伤速度(NC89)
     */
    private String testingSpeedNc89 = "";
    /**
     * 探伤速度(NC180)
     */
    private String testingSpeedNv180 = "";
    /**
     * 纵向增益
     */
    private String gainLongitudinal = "";
    /**
     * 横向增益
     */
    private String gainTransverse = "";
    /**
     * 提升力
     */
    private String liftingForce = "";
    /**
     * 磁化方法
     */
    private String magnetizationMethod = "";
    /**
     * 试片类型
     */
    private String shimType = "";
    /**
     * 磁化时间
     */
    private String magnetizationTime = "";
    /**
     * 检测区域
     */
    private String testingArea = "";
    /**
     * 纵向磁化电流
     */
    private String longitudinalMagnetizationC = "";
    /**
     * 纵向发射频率
     */
    private String longitudinalEmissionF = "";
    /**
     * 横向磁化电流
     */
    private String transverseMagnetizationC = "";
    /**
     * 横向发射频率
     */
    private String transverseEmissionF = "";
    /**
     * 周向检测速度
     */
    private String circumferentialTravelSpeed = "";
    /**
     * 试片磁痕显示
     */
    private String shimMagneticsarticle = "";
    /**
     * 磁悬液类型
     */
    private String magneticType = "";
    /**
     * 检测部位
     */
    private String testPart = "";
    /**
     * 磁粉种类
     */
    private String magneticTypeS = "";
    /**
     * 磁悬液浓度
     */
    private String magneticSuspendingL = "";
    /**
     * 周向电流强度
     */
    private String circumferentialCurrent = "";
    /**
     * 纵向电流强度
     */
    private String longitudinalCurrent = "";
    /**
     * 检测灵敏度
     */
    private String sensitivity = "";
    /**
     * 线圈电流强度
     */
    private String coilCurrentIntensity = "";
    /**
     * 中心棒电流强度
     */
    private String centerStickCurrent = "";
    /**
     * 退磁方式
     */
    private String demagnetizaMethod = "";
    /**
     * 纵向磁化电流2
     */
    private String longitudinalMagnetizationC2 = "";
    /**
     * 纵向发射频率2
     */
    private String longitudinalEmissionF2 = "";
    /**
     * 横向磁化电流2
     */
    private String transverseMagnetizationC2 = "";
    /**
     * 横向发射频率2
     */
    private String transverseEmissionF2 = "";
    /**
     * 纵向磁化电流1
     */
    private String longitudinalMagnetizationC1 = "";
    /**
     * 纵向发射频率1
     */
    private String longitudinalEmissionF1 = "";
    /**
     * 横向磁化电流1
     */
    private String transverseMagnetizationC1 = "";
    /**
     * 横向发射频率1
     */
    private String transverseEmissionF1 = "";
    /**
     * 磁化电流1
     */
    private String magnetizationC1 = "";
    /**
     * 磁化电流2
     */
    private String magnetizationC2 = "";
    /**
     * 磁化电流3
     */
    private String magnetizationC3 = "";
    /**
     * 发射频率1
     */
    private String emissionF1 = "";
    /**
     * 发射频率2
     */
    private String emissionF2 = "";
    /**
     * 发射频率3
     */
    private String emissionF3 = "";
    /**
     * 缺陷标准
     */
    private String standardDefect = "";
    /**
     * 壁厚标准
     */
    private String standardWall = "";
    /**
     * 夹层标准
     */
    private String standardLam = "";
    /**
     * 斜向伤标准
     */
    private String standardOblique = "";
    /**
     * 缺陷覆盖率
     */
    private String coverageDefect = "";
    /**
     * 壁厚覆盖率
     */
    private String coverageWall = "";
    /**
     * 夹层覆盖率
     */
    private String coverageLam = "";
    /**
     * 斜向伤覆盖率
     */
    private String coverageOblique = "";
    /**
     * 缺陷频次
     */
    private String frequencyDefect = "";
    /**
     * 壁厚频次
     */
    private String frequencyWall = "";
    /**
     * 夹层频次
     */
    private String frequencyLam = "";
    /**
     * 斜向伤频次
     */
    private String frequencyOblique = "";
    /**
     * 斜向
     */
    private String oblique = "";
    private String testingType = "";    // 探伤种类
    private String testingGrade = "";   // 探伤等级
    private String judgeResult = "";
    private String standardName = "";
    private String testingPosition = "";    // 探伤位置
    private String notchLength = "";
    private String notchWidth = "";
    private String notchDepth = "";
    private String testingNum = "";
    private String ewasteNum = "";
    private String passNum = "";
    private String ewasteReason = "";
    private String pendingNum = "";
    private String plineCode = "";

    public String getPlineCode() {
        return plineCode;
    }

    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    public String getTestingNum() {
		return testingNum;
	}

	public void setTestingNum(String testingNum) {
		this.testingNum = testingNum;
	}

	public String getEwasteNum() {
		return ewasteNum;
	}

	public void setEwasteNum(String ewasteNum) {
		this.ewasteNum = ewasteNum;
	}

	public String getPassNum() {
		return passNum;
	}

	public void setPassNum(String passNum) {
		this.passNum = passNum;
	}

	public String getEwasteReason() {
		return ewasteReason;
	}

	public void setEwasteReason(String ewasteReason) {
		this.ewasteReason = ewasteReason;
	}

	public String getPendingNum() {
		return pendingNum;
	}

	public void setPendingNum(String pendingNum) {
		this.pendingNum = pendingNum;
	}

	/**
     * 炉计划ID
     * @return value
     */
    public String getHeatPlanNo() {
        return heatPlanNo;
    }

    /**
     * 炉计划ID
     * @param heatPlanNo value
     */
    public void setHeatPlanNo(String heatPlanNo) {
        this.heatPlanNo = heatPlanNo;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 批号
     * @return value
     */
    public String getBatchNo() {
        return batchNo;
    }

    /**
     * 批号
     * @param batchNo value
     */
    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    /**
     * 报表编号
     * @return value
     */
    public String getReportNo() {
        return reportNo;
    }

    /**
     * 报表编号
     * @param reportNo value
     */
    public void setReportNo(String reportNo) {
        this.reportNo = reportNo;
    }

    /**
     * 纵向外壁
     * @return value
     */
    public String getLongitudinalExternal() {
        return longitudinalExternal;
    }

    /**
     * 纵向外壁
     * @param longitudinalExternal value
     */
    public void setLongitudinalExternal(String longitudinalExternal) {
        this.longitudinalExternal = longitudinalExternal;
    }

    /**
     * 纵向内壁
     * @return value
     */
    public String getLongitudinalInternal() {
        return longitudinalInternal;
    }

    /**
     * 纵向内壁
     * @param longitudinalInternal value
     */
    public void setLongitudinalInternal(String longitudinalInternal) {
        this.longitudinalInternal = longitudinalInternal;
    }

    /**
     * 横向外壁
     * @return value
     */
    public String getTransverseExternal() {
        return transverseExternal;
    }

    /**
     * 横向外壁
     * @param transverseExternal value
     */
    public void setTransverseExternal(String transverseExternal) {
        this.transverseExternal = transverseExternal;
    }

    /**
     * 横向内壁
     * @return value
     */
    public String getTransverseInternal() {
        return transverseInternal;
    }

    /**
     * 横向内壁
     * @param transverseInternal value
     */
    public void setTransverseInternal(String transverseInternal) {
        this.transverseInternal = transverseInternal;
    }

    /**
     * 壁厚
     * @return value
     */
    public String getWallThickness() {
        return wallThickness;
    }

    /**
     * 壁厚
     * @param wallThickness value
     */
    public void setWallThickness(String wallThickness) {
        this.wallThickness = wallThickness;
    }

    /**
     * 夹层
     * @return value
     */
    public String getLamination() {
        return lamination;
    }

    /**
     * 夹层
     * @param lamination value
     */
    public void setLamination(String lamination) {
        this.lamination = lamination;
    }

    /**
     * 探头ID
     * @return value
     */
    public String getProbeId() {
        return probeId;
    }

    /**
     * 探头ID
     * @param probeId value
     */
    public void setProbeId(String probeId) {
        this.probeId = probeId;
    }

    /**
     * 探伤标准ID
     * @return value
     */
    public String getStandardId() {
        return standardId;
    }

    /**
     * 探伤标准ID
     * @param standardId value
     */
    public void setStandardId(String standardId) {
        this.standardId = standardId;
    }

    /**
     * 探伤技术
     * @return value
     */
    public String getTestingTechnology() {
        return testingTechnology;
    }

    /**
     * 探伤技术
     * @param testingTechnology value
     */
    public void setTestingTechnology(String testingTechnology) {
        this.testingTechnology = testingTechnology;
    }

    /**
     * 人工槽伤形状
     * @return value
     */
    public String getArtificialNotchShape() {
        return artificialNotchShape;
    }

    /**
     * 人工槽伤形状
     * @param artificialNotchShape value
     */
    public void setArtificialNotchShape(String artificialNotchShape) {
        this.artificialNotchShape = artificialNotchShape;
    }

    /**
     * 探伤方法
     * @return value
     */
    public String getTestingMethod() {
        return testingMethod;
    }

    /**
     * 探伤方法
     * @param testingMethod value
     */
    public void setTestingMethod(String testingMethod) {
        this.testingMethod = testingMethod;
    }

    /**
     * 耦合介质
     * @return value
     */
    public String getCouplant() {
        return couplant;
    }

    /**
     * 耦合介质
     * @param couplant value
     */
    public void setCouplant(String couplant) {
        this.couplant = couplant;
    }

    /**
     * 探头旋转速度(rpm)
     * @return value
     */
    public String getProbeRotarySpeed() {
        return probeRotarySpeed;
    }

    /**
     * 探头旋转速度(rpm)
     * @param probeRotarySpeed value
     */
    public void setProbeRotarySpeed(String probeRotarySpeed) {
        this.probeRotarySpeed = probeRotarySpeed;
    }

    /**
     * 探伤速度
     * @return value
     */
    public String getTestingSpeed() {
        return testingSpeed;
    }

    /**
     * 探伤速度
     * @param testingSpeed value
     */
    public void setTestingSpeed(String testingSpeed) {
        this.testingSpeed = testingSpeed;
    }

    /**
     * 未检测区(mm)
     * @return value
     */
    public String getUntestedArea() {
        return untestedArea;
    }

    /**
     * 未检测区(mm)
     * @param untestedArea value
     */
    public void setUntestedArea(String untestedArea) {
        this.untestedArea = untestedArea;
    }

    /**
     * 探伤程序文件编号
     * @return value
     */
    public String getNdtProcedureNo() {
        return ndtProcedureNo;
    }

    /**
     * 探伤程序文件编号
     * @param ndtProcedureNo value
     */
    public void setNdtProcedureNo(String ndtProcedureNo) {
        this.ndtProcedureNo = ndtProcedureNo;
    }

    /**
     * 螺距
     * @return value
     */
    public String getPitch() {
        return pitch;
    }

    /**
     * 螺距
     * @param pitch value
     */
    public void setPitch(String pitch) {
        this.pitch = pitch;
    }

    /**
     * 旋转体转速
     * @return value
     */
    public String getRotationSpeed() {
        return rotationSpeed;
    }

    /**
     * 旋转体转速
     * @param rotationSpeed value
     */
    public void setRotationSpeed(String rotationSpeed) {
        this.rotationSpeed = rotationSpeed;
    }

    /**
     * 钢管运行速度
     * @return value
     */
    public String getPipeRunningSpeed() {
        return pipeRunningSpeed;
    }

    /**
     * 钢管运行速度
     * @param pipeRunningSpeed value
     */
    public void setPipeRunningSpeed(String pipeRunningSpeed) {
        this.pipeRunningSpeed = pipeRunningSpeed;
    }

    /**
     * 钢管输送速度
     * @return value
     */
    public String getConveyingSpeed() {
        return conveyingSpeed;
    }

    /**
     * 钢管输送速度
     * @param conveyingSpeed value
     */
    public void setConveyingSpeed(String conveyingSpeed) {
        this.conveyingSpeed = conveyingSpeed;
    }

    /**
     * 设备型号
     * @return value
     */
    public String getInstrumentType() {
        return instrumentType;
    }

    /**
     * 设备型号
     * @param instrumentType value
     */
    public void setInstrumentType(String instrumentType) {
        this.instrumentType = instrumentType;
    }

    /**
     * 探头型号
     * @return value
     */
    public String getTransducerType() {
        return transducerType;
    }

    /**
     * 探头型号
     * @param transducerType value
     */
    public void setTransducerType(String transducerType) {
        this.transducerType = transducerType;
    }

    /**
     * 抑制
     * @return value
     */
    public String getSuppression() {
        return suppression;
    }

    /**
     * 抑制
     * @param suppression value
     */
    public void setSuppression(String suppression) {
        this.suppression = suppression;
    }

    /**
     * 检测长度
     * @return value
     */
    public String getTestingLength() {
        return testingLength;
    }

    /**
     * 检测长度
     * @param testingLength value
     */
    public void setTestingLength(String testingLength) {
        this.testingLength = testingLength;
    }

    /**
     * 操作者
     * @return value
     */
    public String getOperatorName() {
        return operatorName;
    }

    /**
     * 操作者
     * @param operatorName value
     */
    public void setOperatorName(String operatorName) {
        this.operatorName = operatorName;
    }

    /**
     * 操作者技术资格等级
     * @return value
     */
    public String getOperatorLevel() {
        return operatorLevel;
    }

    /**
     * 操作者技术资格等级
     * @param operatorLevel value
     */
    public void setOperatorLevel(String operatorLevel) {
        this.operatorLevel = operatorLevel;
    }

    /**
     * 签 发
     * @return value
     */
    public String getSignatory() {
        return signatory;
    }

    /**
     * 签 发
     * @param signatory value
     */
    public void setSignatory(String signatory) {
        this.signatory = signatory;
    }

    /**
     * 签发者技术资格等级
     * @return value
     */
    public String getSignatoryLevel() {
        return signatoryLevel;
    }

    /**
     * 签发者技术资格等级
     * @param signatoryLevel value
     */
    public void setSignatoryLevel(String signatoryLevel) {
        this.signatoryLevel = signatoryLevel;
    }

    /**
     * 班次
     * @return value
     */
    public String getShift() {
        return shift;
    }

    /**
     * 班次
     * @param shift value
     */
    public void setShift(String shift) {
        this.shift = shift;
    }

    /**
     * 探伤日期
     * @return value
     */
    public String getProDate() {
        return proDate;
    }

    /**
     * 探伤日期
     * @param proDate value
     */
    public void setProDate(String proDate) {
        this.proDate = proDate;
    }

    /**
     * 记录生成日期
     * @return value
     */
    public String getCreateDate() {
        return createDate;
    }

    /**
     * 记录生成日期
     * @param createDate value
     */
    public void setCreateDate(String createDate) {
        this.createDate = createDate;
    }

    /**
     * 报告地址
     * @return value
     */
    public String getReportPath() {
        return reportPath;
    }

    /**
     * 报告地址
     * @param reportPath value
     */
    public void setReportPath(String reportPath) {
        this.reportPath = reportPath;
    }

    /**
     * 备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }

    /**
     * 实绩编号
     * @return value
     */
    public String getResultNo() {
        return resultNo;
    }

    /**
     * 实绩编号
     * @param resultNo value
     */
    public void setResultNo(String resultNo) {
        this.resultNo = resultNo;
    }

    /**
     * 探头运行速度
     * @return value
     */
    public String getProbeRunningSpeed() {
        return probeRunningSpeed;
    }

    /**
     * 探头运行速度
     * @param probeRunningSpeed value
     */
    public void setProbeRunningSpeed(String probeRunningSpeed) {
        this.probeRunningSpeed = probeRunningSpeed;
    }

    /**
     * 斜向外壁
     * @return value
     */
    public String getObliqueExternal() {
        return obliqueExternal;
    }

    /**
     * 斜向外壁
     * @param obliqueExternal value
     */
    public void setObliqueExternal(String obliqueExternal) {
        this.obliqueExternal = obliqueExternal;
    }

    /**
     * 斜向内壁
     * @return value
     */
    public String getObliqueInternal() {
        return obliqueInternal;
    }

    /**
     * 斜向内壁
     * @param obliqueInternal value
     */
    public void setObliqueInternal(String obliqueInternal) {
        this.obliqueInternal = obliqueInternal;
    }

    /**
     * 钢管旋转速度(rpm)
     * @return value
     */
    public String getPipeRotarySpeed() {
        return pipeRotarySpeed;
    }

    /**
     * 钢管旋转速度(rpm)
     * @param pipeRotarySpeed value
     */
    public void setPipeRotarySpeed(String pipeRotarySpeed) {
        this.pipeRotarySpeed = pipeRotarySpeed;
    }

    /**
     * 操作班组
     * @return value
     */
    public String getColGroup() {
        return colGroup;
    }

    /**
     * 操作班组
     * @param colGroup value
     */
    public void setColGroup(String colGroup) {
        this.colGroup = colGroup;
    }

    /**
     * 校准方法
     * @return value
     */
    public String getCalibrationMethod() {
        return calibrationMethod;
    }

    /**
     * 校准方法
     * @param calibrationMethod value
     */
    public void setCalibrationMethod(String calibrationMethod) {
        this.calibrationMethod = calibrationMethod;
    }

    /**
     * 验收等级
     * @return value
     */
    public String getAccpetanceLevel() {
        return accpetanceLevel;
    }

    /**
     * 验收等级
     * @param accpetanceLevel value
     */
    public void setAccpetanceLevel(String accpetanceLevel) {
        this.accpetanceLevel = accpetanceLevel;
    }

    /**
     * 钻孔直径
     * @return value
     */
    public String getHoleDiameter() {
        return holeDiameter;
    }

    /**
     * 钻孔直径
     * @param holeDiameter value
     */
    public void setHoleDiameter(String holeDiameter) {
        this.holeDiameter = holeDiameter;
    }

    /**
     * 激励频率(NC89)
     * @return value
     */
    public String getExcitationFrequencyNc89() {
        return excitationFrequencyNc89;
    }

    /**
     * 激励频率(NC89)
     * @param excitationFrequencyNc89 value
     */
    public void setExcitationFrequencyNc89(String excitationFrequencyNc89) {
        this.excitationFrequencyNc89 = excitationFrequencyNc89;
    }

    /**
     * 激励频率(NC180)
     * @return value
     */
    public String getExcitationFrequencyNc180() {
        return excitationFrequencyNc180;
    }

    /**
     * 激励频率(NC180)
     * @param excitationFrequencyNc180 value
     */
    public void setExcitationFrequencyNc180(String excitationFrequencyNc180) {
        this.excitationFrequencyNc180 = excitationFrequencyNc180;
    }

    /**
     * 探伤速度(NC89)
     * @return value
     */
    public String getTestingSpeedNc89() {
        return testingSpeedNc89;
    }

    /**
     * 探伤速度(NC89)
     * @param testingSpeedNc89 value
     */
    public void setTestingSpeedNc89(String testingSpeedNc89) {
        this.testingSpeedNc89 = testingSpeedNc89;
    }

    /**
     * 探伤速度(NC180)
     * @return value
     */
    public String getTestingSpeedNv180() {
        return testingSpeedNv180;
    }

    /**
     * 探伤速度(NC180)
     * @param testingSpeedNv180 value
     */
    public void setTestingSpeedNv180(String testingSpeedNv180) {
        this.testingSpeedNv180 = testingSpeedNv180;
    }

    /**
     * 纵向增益
     * @return value
     */
    public String getGainLongitudinal() {
        return gainLongitudinal;
    }

    /**
     * 纵向增益
     * @param gainLongitudinal value
     */
    public void setGainLongitudinal(String gainLongitudinal) {
        this.gainLongitudinal = gainLongitudinal;
    }

    /**
     * 横向增益
     * @return value
     */
    public String getGainTransverse() {
        return gainTransverse;
    }

    /**
     * 横向增益
     * @param gainTransverse value
     */
    public void setGainTransverse(String gainTransverse) {
        this.gainTransverse = gainTransverse;
    }

    /**
     * 提升力
     * @return value
     */
    public String getLiftingForce() {
        return liftingForce;
    }

    /**
     * 提升力
     * @param liftingForce value
     */
    public void setLiftingForce(String liftingForce) {
        this.liftingForce = liftingForce;
    }

    /**
     * 磁化方法
     * @return value
     */
    public String getMagnetizationMethod() {
        return magnetizationMethod;
    }

    /**
     * 磁化方法
     * @param magnetizationMethod value
     */
    public void setMagnetizationMethod(String magnetizationMethod) {
        this.magnetizationMethod = magnetizationMethod;
    }

    /**
     * 试片类型
     * @return value
     */
    public String getShimType() {
        return shimType;
    }

    /**
     * 试片类型
     * @param shimType value
     */
    public void setShimType(String shimType) {
        this.shimType = shimType;
    }

    /**
     * 磁化时间
     * @return value
     */
    public String getMagnetizationTime() {
        return magnetizationTime;
    }

    /**
     * 磁化时间
     * @param magnetizationTime value
     */
    public void setMagnetizationTime(String magnetizationTime) {
        this.magnetizationTime = magnetizationTime;
    }

    /**
     * 检测区域
     * @return value
     */
    public String getTestingArea() {
        return testingArea;
    }

    /**
     * 检测区域
     * @param testingArea value
     */
    public void setTestingArea(String testingArea) {
        this.testingArea = testingArea;
    }

    /**
     * 纵向磁化电流
     * @return value
     */
    public String getLongitudinalMagnetizationC() {
        return longitudinalMagnetizationC;
    }

    /**
     * 纵向磁化电流
     * @param longitudinalMagnetizationC value
     */
    public void setLongitudinalMagnetizationC(String longitudinalMagnetizationC) {
        this.longitudinalMagnetizationC = longitudinalMagnetizationC;
    }

    /**
     * 纵向发射频率
     * @return value
     */
    public String getLongitudinalEmissionF() {
        return longitudinalEmissionF;
    }

    /**
     * 纵向发射频率
     * @param longitudinalEmissionF value
     */
    public void setLongitudinalEmissionF(String longitudinalEmissionF) {
        this.longitudinalEmissionF = longitudinalEmissionF;
    }

    /**
     * 横向磁化电流
     * @return value
     */
    public String getTransverseMagnetizationC() {
        return transverseMagnetizationC;
    }

    /**
     * 横向磁化电流
     * @param transverseMagnetizationC value
     */
    public void setTransverseMagnetizationC(String transverseMagnetizationC) {
        this.transverseMagnetizationC = transverseMagnetizationC;
    }

    /**
     * 横向发射频率
     * @return value
     */
    public String getTransverseEmissionF() {
        return transverseEmissionF;
    }

    /**
     * 横向发射频率
     * @param transverseEmissionF value
     */
    public void setTransverseEmissionF(String transverseEmissionF) {
        this.transverseEmissionF = transverseEmissionF;
    }

    /**
     * 周向检测速度
     * @return value
     */
    public String getCircumferentialTravelSpeed() {
        return circumferentialTravelSpeed;
    }

    /**
     * 周向检测速度
     * @param circumferentialTravelSpeed value
     */
    public void setCircumferentialTravelSpeed(String circumferentialTravelSpeed) {
        this.circumferentialTravelSpeed = circumferentialTravelSpeed;
    }

    /**
     * 试片磁痕显示
     * @return value
     */
    public String getShimMagneticsarticle() {
        return shimMagneticsarticle;
    }

    /**
     * 试片磁痕显示
     * @param shimMagneticsarticle value
     */
    public void setShimMagneticsarticle(String shimMagneticsarticle) {
        this.shimMagneticsarticle = shimMagneticsarticle;
    }

    /**
     * 磁悬液类型
     * @return value
     */
    public String getMagneticType() {
        return magneticType;
    }

    /**
     * 磁悬液类型
     * @param magneticType value
     */
    public void setMagneticType(String magneticType) {
        this.magneticType = magneticType;
    }

    /**
     * 检测部位
     * @return value
     */
    public String getTestPart() {
        return testPart;
    }

    /**
     * 检测部位
     * @param testPart value
     */
    public void setTestPart(String testPart) {
        this.testPart = testPart;
    }

    /**
     * 磁粉种类
     * @return value
     */
    public String getMagneticTypeS() {
        return magneticTypeS;
    }

    /**
     * 磁粉种类
     * @param magneticTypeS value
     */
    public void setMagneticTypeS(String magneticTypeS) {
        this.magneticTypeS = magneticTypeS;
    }

    /**
     * 磁悬液浓度
     * @return value
     */
    public String getMagneticSuspendingL() {
        return magneticSuspendingL;
    }

    /**
     * 磁悬液浓度
     * @param magneticSuspendingL value
     */
    public void setMagneticSuspendingL(String magneticSuspendingL) {
        this.magneticSuspendingL = magneticSuspendingL;
    }

    /**
     * 周向电流强度
     * @return value
     */
    public String getCircumferentialCurrent() {
        return circumferentialCurrent;
    }

    /**
     * 周向电流强度
     * @param circumferentialCurrent value
     */
    public void setCircumferentialCurrent(String circumferentialCurrent) {
        this.circumferentialCurrent = circumferentialCurrent;
    }

    /**
     * 纵向电流强度
     * @return value
     */
    public String getLongitudinalCurrent() {
        return longitudinalCurrent;
    }

    /**
     * 纵向电流强度
     * @param longitudinalCurrent value
     */
    public void setLongitudinalCurrent(String longitudinalCurrent) {
        this.longitudinalCurrent = longitudinalCurrent;
    }

    /**
     * 检测灵敏度
     * @return value
     */
    public String getSensitivity() {
        return sensitivity;
    }

    /**
     * 检测灵敏度
     * @param sensitivity value
     */
    public void setSensitivity(String sensitivity) {
        this.sensitivity = sensitivity;
    }

    /**
     * 线圈电流强度
     * @return value
     */
    public String getCoilCurrentIntensity() {
        return coilCurrentIntensity;
    }

    /**
     * 线圈电流强度
     * @param coilCurrentIntensity value
     */
    public void setCoilCurrentIntensity(String coilCurrentIntensity) {
        this.coilCurrentIntensity = coilCurrentIntensity;
    }

    /**
     * 中心棒电流强度
     * @return value
     */
    public String getCenterStickCurrent() {
        return centerStickCurrent;
    }

    /**
     * 中心棒电流强度
     * @param centerStickCurrent value
     */
    public void setCenterStickCurrent(String centerStickCurrent) {
        this.centerStickCurrent = centerStickCurrent;
    }

    /**
     * 退磁方式
     * @return value
     */
    public String getDemagnetizaMethod() {
        return demagnetizaMethod;
    }

    /**
     * 退磁方式
     * @param demagnetizaMethod value
     */
    public void setDemagnetizaMethod(String demagnetizaMethod) {
        this.demagnetizaMethod = demagnetizaMethod;
    }

    /**
     * 纵向磁化电流2
     * @return value
     */
    public String getLongitudinalMagnetizationC2() {
        return longitudinalMagnetizationC2;
    }

    /**
     * 纵向磁化电流2
     * @param longitudinalMagnetizationC2 value
     */
    public void setLongitudinalMagnetizationC2(String longitudinalMagnetizationC2) {
        this.longitudinalMagnetizationC2 = longitudinalMagnetizationC2;
    }

    /**
     * 纵向发射频率2
     * @return value
     */
    public String getLongitudinalEmissionF2() {
        return longitudinalEmissionF2;
    }

    /**
     * 纵向发射频率2
     * @param longitudinalEmissionF2 value
     */
    public void setLongitudinalEmissionF2(String longitudinalEmissionF2) {
        this.longitudinalEmissionF2 = longitudinalEmissionF2;
    }

    /**
     * 横向磁化电流2
     * @return value
     */
    public String getTransverseMagnetizationC2() {
        return transverseMagnetizationC2;
    }

    /**
     * 横向磁化电流2
     * @param transverseMagnetizationC2 value
     */
    public void setTransverseMagnetizationC2(String transverseMagnetizationC2) {
        this.transverseMagnetizationC2 = transverseMagnetizationC2;
    }

    /**
     * 横向发射频率2
     * @return value
     */
    public String getTransverseEmissionF2() {
        return transverseEmissionF2;
    }

    /**
     * 横向发射频率2
     * @param transverseEmissionF2 value
     */
    public void setTransverseEmissionF2(String transverseEmissionF2) {
        this.transverseEmissionF2 = transverseEmissionF2;
    }

    /**
     * 纵向磁化电流1
     * @return value
     */
    public String getLongitudinalMagnetizationC1() {
        return longitudinalMagnetizationC1;
    }

    /**
     * 纵向磁化电流1
     * @param longitudinalMagnetizationC1 value
     */
    public void setLongitudinalMagnetizationC1(String longitudinalMagnetizationC1) {
        this.longitudinalMagnetizationC1 = longitudinalMagnetizationC1;
    }

    /**
     * 纵向发射频率1
     * @return value
     */
    public String getLongitudinalEmissionF1() {
        return longitudinalEmissionF1;
    }

    /**
     * 纵向发射频率1
     * @param longitudinalEmissionF1 value
     */
    public void setLongitudinalEmissionF1(String longitudinalEmissionF1) {
        this.longitudinalEmissionF1 = longitudinalEmissionF1;
    }

    /**
     * 横向磁化电流1
     * @return value
     */
    public String getTransverseMagnetizationC1() {
        return transverseMagnetizationC1;
    }

    /**
     * 横向磁化电流1
     * @param transverseMagnetizationC1 value
     */
    public void setTransverseMagnetizationC1(String transverseMagnetizationC1) {
        this.transverseMagnetizationC1 = transverseMagnetizationC1;
    }

    /**
     * 横向发射频率1
     * @return value
     */
    public String getTransverseEmissionF1() {
        return transverseEmissionF1;
    }

    /**
     * 横向发射频率1
     * @param transverseEmissionF1 value
     */
    public void setTransverseEmissionF1(String transverseEmissionF1) {
        this.transverseEmissionF1 = transverseEmissionF1;
    }

    /**
     * 磁化电流1
     * @return value
     */
    public String getMagnetizationC1() {
        return magnetizationC1;
    }

    /**
     * 磁化电流1
     * @param magnetizationC1 value
     */
    public void setMagnetizationC1(String magnetizationC1) {
        this.magnetizationC1 = magnetizationC1;
    }

    /**
     * 磁化电流2
     * @return value
     */
    public String getMagnetizationC2() {
        return magnetizationC2;
    }

    /**
     * 磁化电流2
     * @param magnetizationC2 value
     */
    public void setMagnetizationC2(String magnetizationC2) {
        this.magnetizationC2 = magnetizationC2;
    }

    /**
     * 磁化电流3
     * @return value
     */
    public String getMagnetizationC3() {
        return magnetizationC3;
    }

    /**
     * 磁化电流3
     * @param magnetizationC3 value
     */
    public void setMagnetizationC3(String magnetizationC3) {
        this.magnetizationC3 = magnetizationC3;
    }

    /**
     * 发射频率1
     * @return value
     */
    public String getEmissionF1() {
        return emissionF1;
    }

    /**
     * 发射频率1
     * @param emissionF1 value
     */
    public void setEmissionF1(String emissionF1) {
        this.emissionF1 = emissionF1;
    }

    /**
     * 发射频率2
     * @return value
     */
    public String getEmissionF2() {
        return emissionF2;
    }

    /**
     * 发射频率2
     * @param emissionF2 value
     */
    public void setEmissionF2(String emissionF2) {
        this.emissionF2 = emissionF2;
    }

    /**
     * 发射频率3
     * @return value
     */
    public String getEmissionF3() {
        return emissionF3;
    }

    /**
     * 发射频率3
     * @param emissionF3 value
     */
    public void setEmissionF3(String emissionF3) {
        this.emissionF3 = emissionF3;
    }

    /**
     * 缺陷标准
     * @return value
     */
    public String getStandardDefect() {
        return standardDefect;
    }

    /**
     * 缺陷标准
     * @param standardDefect value
     */
    public void setStandardDefect(String standardDefect) {
        this.standardDefect = standardDefect;
    }

    /**
     * 壁厚标准
     * @return value
     */
    public String getStandardWall() {
        return standardWall;
    }

    /**
     * 壁厚标准
     * @param standardWall value
     */
    public void setStandardWall(String standardWall) {
        this.standardWall = standardWall;
    }

    /**
     * 夹层标准
     * @return value
     */
    public String getStandardLam() {
        return standardLam;
    }

    /**
     * 夹层标准
     * @param standardLam value
     */
    public void setStandardLam(String standardLam) {
        this.standardLam = standardLam;
    }

    /**
     * 斜向伤标准
     * @return value
     */
    public String getStandardOblique() {
        return standardOblique;
    }

    /**
     * 斜向伤标准
     * @param standardOblique value
     */
    public void setStandardOblique(String standardOblique) {
        this.standardOblique = standardOblique;
    }

    /**
     * 缺陷覆盖率
     * @return value
     */
    public String getCoverageDefect() {
        return coverageDefect;
    }

    /**
     * 缺陷覆盖率
     * @param coverageDefect value
     */
    public void setCoverageDefect(String coverageDefect) {
        this.coverageDefect = coverageDefect;
    }

    /**
     * 壁厚覆盖率
     * @return value
     */
    public String getCoverageWall() {
        return coverageWall;
    }

    /**
     * 壁厚覆盖率
     * @param coverageWall value
     */
    public void setCoverageWall(String coverageWall) {
        this.coverageWall = coverageWall;
    }

    /**
     * 夹层覆盖率
     * @return value
     */
    public String getCoverageLam() {
        return coverageLam;
    }

    /**
     * 夹层覆盖率
     * @param coverageLam value
     */
    public void setCoverageLam(String coverageLam) {
        this.coverageLam = coverageLam;
    }

    /**
     * 斜向伤覆盖率
     * @return value
     */
    public String getCoverageOblique() {
        return coverageOblique;
    }

    /**
     * 斜向伤覆盖率
     * @param coverageOblique value
     */
    public void setCoverageOblique(String coverageOblique) {
        this.coverageOblique = coverageOblique;
    }

    /**
     * 缺陷频次
     * @return value
     */
    public String getFrequencyDefect() {
        return frequencyDefect;
    }

    /**
     * 缺陷频次
     * @param frequencyDefect value
     */
    public void setFrequencyDefect(String frequencyDefect) {
        this.frequencyDefect = frequencyDefect;
    }

    /**
     * 壁厚频次
     * @return value
     */
    public String getFrequencyWall() {
        return frequencyWall;
    }

    /**
     * 壁厚频次
     * @param frequencyWall value
     */
    public void setFrequencyWall(String frequencyWall) {
        this.frequencyWall = frequencyWall;
    }

    /**
     * 夹层频次
     * @return value
     */
    public String getFrequencyLam() {
        return frequencyLam;
    }

    /**
     * 夹层频次
     * @param frequencyLam value
     */
    public void setFrequencyLam(String frequencyLam) {
        this.frequencyLam = frequencyLam;
    }

    /**
     * 斜向伤频次
     * @return value
     */
    public String getFrequencyOblique() {
        return frequencyOblique;
    }

    /**
     * 斜向伤频次
     * @param frequencyOblique value
     */
    public void setFrequencyOblique(String frequencyOblique) {
        this.frequencyOblique = frequencyOblique;
    }

    /**
     * 斜向
     * @return value
     */
    public String getOblique() {
        return oblique;
    }

    /**
     * 斜向
     * @param oblique value
     */
    public void setOblique(String oblique) {
        this.oblique = oblique;
    }

    public String getTestingType() {
        return testingType;
    }

    public void setTestingType(String testingType) {
        this.testingType = testingType;
    }

    public String getTestingGrade() {
        return testingGrade;
    }

    public void setTestingGrade(String testingGrade) {
        this.testingGrade = testingGrade;
    }

    public String getJudgeResult() {
        return judgeResult;
    }

    public void setJudgeResult(String judgeResult) {
        this.judgeResult = judgeResult;
    }

    public String getStandardName() {
        return standardName;
    }

    public void setStandardName(String standardName) {
        this.standardName = standardName;
    }

    public String getTestingPosition() {
        return testingPosition;
    }

    public void setTestingPosition(String testingPosition) {
        this.testingPosition = testingPosition;
    }

    public String getNotchLength() {
        return notchLength;
    }

    public void setNotchLength(String notchLength) {
        this.notchLength = notchLength;
    }

    public String getNotchWidth() {
        return notchWidth;
    }

    public void setNotchWidth(String notchWidth) {
        this.notchWidth = notchWidth;
    }

    public String getNotchDepth() {
        return notchDepth;
    }

    public void setNotchDepth(String notchDepth) {
        this.notchDepth = notchDepth;
    }
}
